Bug 435902 - (CVE-2008-1145) CVE-2008-1145 ruby: webrick directory traversal
CVE-2008-1145 ruby: webrick directory traversal
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Akira TAGOH
reported=20080303,source=internet,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 06:24 EST by Mark J. Cox (Product Security)
Modified: 2009-01-09 04:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 04:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2008-03-04 06:24:58 EST
http://www.ruby-lang.org/en/news/2008/03/03/webrick-file-access-vulnerability/

WEBrick, a standard library of Ruby to implement HTTP servers, has file access
vulnerability.

   1. Systems that accept backslash (\) as a path separator, such as Windows.
   2. Systems that use case insensitive filesystems such as NTFS on Windows, HFS
      on Mac OS X.

Attacker can access private files by sending a url with url encoded backslash
(\). This works only on systems that accept backslash as a path separator.  Or
they could bypass restrictions with case-insensitive filesystems.
Comment 1 Mark J. Cox (Product Security) 2008-03-04 06:26:59 EST
Note: This is only a security issue if you have a ruby application using WEBrick
to serve content via HTTP from a mounted filesystem that is case insensitive or
accepts \ as a path separator, therefore setting to low security severity.
Comment 2 Tomas Hoger 2008-03-05 11:37:40 EST
CVE-2008-1145:

Directory traversal vulnerability in WEBrick 1.8 before 1.8.5-p115 and
1.8.6-p114, and 1.9 through 1.9.0-1, when running on systems that
support backslash (\) path separators or case-insensitive file names,
allows remote attackers to access arbitrary files via (1) "..%5c"
(encoded backslash) sequences or (2) filenames that match patterns in
the :NondisclosureName option.
Comment 3 Tomas Hoger 2008-03-07 09:29:30 EST
Advisory from researcher that discovered the flaw:

http://marc.info/?l=bugtraq&m=120482138928670&w=4

Upstream SVN commit:

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=15676

Fixed upstream in:
1.8.5-p115, 1.8.6-p114
Comment 4 Tomas Hoger 2008-03-07 10:38:41 EST
This issue does not affect ruby packages as shipped in Red Hat Enterprise Linux
2.1 and 3, as those packages do not include WEBrick component.
Comment 5 Fedora Update System 2008-03-13 03:45:54 EDT
ruby-1.8.6.114-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-03-13 03:46:49 EDT
ruby-1.8.6.114-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Red Hat Product Security 2009-01-09 04:41:51 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0897.html

Note You need to log in before you can comment on or make changes to this bug.